<!-- hack for bug https://github.com/mozilla/nunjucks/issues/838 -->
<span style="display: none">
    {% include 'app_modules/taskmanager/templates/snippets/detail_contact.html' %}
</span>
<form id="task_form">
<div id="container_tasklist" class="row">
    <div class="col-lg-12 ">
        <div class="card">
            <!-- defaul view start  -->
            {% if not data.data %}
            <div class="card-body" id="default-view">
                <div class="tab-content border-0 tab-content-basic">
                    <section class="py-5 pl-5">
                        <div class="container">
                            <div class="row align-items-center">
                                <div class="col-md-6">
                                    <img src="/style-global/img/illustrations/to_do_list.png" alt="taskmanager"
                                         class="img-fluid" width="535px">
                                </div>
                                <div class="col-md-6">
                                    <h6 class="font-weight-bold tx-indigo mb-20px mt-3">Verwalten Sie Ihre Aufgabenliste
                                        online</h6>
                                    <h2 class="font-weight-bold mb-20px">Legen Sie los!
                                        <br>
                                        Richten Sie eine Liste in Ihrem Taskmanager ein.
                                    </h2>
                                    <p class="text-muted mb-20px">Erstellen Sie jederzeit neue Listen oder aktualisieren
                                        Sie Ihre
                                        vorhandenen Listeneinstellungen, indem Sie Klicken Sie in der Navigationsleiste
                                        auf das
                                        Symbol Einstellungen.</p>
                                    <ul class="list-ckeck-soft mb-30px">
                                        <li>Durchsuchen Sie Taske nach bestimmten Kriterien.</li>
                                        <li>Zuweisen von Aufgaben nach Gruppe oder Person.</li>
                                    </ul>
                                    <a href="list-settings.html" class="btn btn-primary rounded">Liste Erstellen</a>

                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
            {% else %}
            <div class="card-body" id="task-detail-view">
                <div class="pb-4 mb-4 border-bottom row">

                    <!-- BUTTONS -->
                    <div class="col-sm-3 col-12 align-items-center d-flex">
                        <h5 class="page-title mb-n2 pd-r-10 text-muted">{{ data.data.entry_data.title }}</h5>
                        <div class="btn-group">
                            <button type="button" class="btn btn-indigo-white ml-2 mt-2 mb-0 dropdown-toggle"
                                    data-toggle="dropdown" aria-expanded="false" id="select-task-template"
                                    style="display: none;">
                                Aus Vorlage ausfüllen
                            </button>
                            <div class="dropdown-menu" id="detail-view-template-dropdown"></div>
                        </div>
                    </div>
                    <div class="col-sm-9 col-12 pt-2 pt-md-0 text-right">
                        <button class="btn btn-outline-light no-wrap mb-2 mb-sm-0 rounded" id="button-cancel">
                            <i class="typcn typcn-arrow-left-outline tx-16 rounded"></i>
                            <span data-i18n="Cancel">Cancel</span>
                        </button>

                        <button class="btn btn-indigo no-wrap ml-2 mb-2 mb-sm-0 rounded" id="button-save-task">
                            <i class="typcn typcn-edit tx-16 rounded"></i>
                            <span data-i18n="Save">Save</span>
                        </button>

                        <div class="btn-group" id="btn-group-task" style="display: none;">
                            <button type="submit" id="btn-group-task-save" class="btn btn-indigo ml-2 mb-2 mb-sm-0 rounded">
                                <i class="typcn typcn-tick-outline tx-16"></i>
                                <span data-i18n="Save">Save</span>
                            </button>
                        </div>


                        <div class="btn-group" id="btn-group-task" style="display: none;">
                            <button type="submit" id="btn-group-task-save" class="btn btn-indigo ml-2 mb-2 mb-sm-0 rounded"><i
                                    class="typcn typcn-tick-outline tx-16"></i>
                                <span data-i18n="Save">Save</span>
                            </button>
                            <button type="button" id="btn-group-task-save-as-template"
                                    class="btn btn-indigo dropdown-toggle dropdown-toggle-split mb-2 mb-sm-0"
                                    data-toggle="dropdown" aria-expanded="false">
                                <span class="sr-only" data-toggle="tooltip"
                                      data-original-title="Task von Vorlage anlegen">Toggle Dropdown</span>
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" id="select-save-as-template" href="#">als Vorlage Speichern</a>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="tab-content border-0 tab-content-basic">
                    <div class="tab-pane fade show active" role="tabpanel">

                        <!-- LIST ENTRY -->
                        <div class="row row-sm align-items-start">
                            <div class="col-xl-7 col-lg-7 col-md-6 d-flex align-items-center">
                                <span class="d-inline-block px-2">
                                    <div class="az-avatar-no-status avatar-sm bg-primary" data-toggle="tooltip"
                                         title="List" data-original-title="Chosen List">
                                        <i class="fa fa-bars fa-1x"></i>
                                    </div>
                                </span>
                                <select class="form-control edit-input-muted ml-2" data-group="info" id="select-list-name-dropdown" data-targetdotpath="entry_data.queue_id" required>
                                    <option value="" data-resource-id="" data-i18n="---  Please make a selection ---">---  Please make a selection ---</option>
                                    {% for key, value in data.data.queue_lists %}
                                        {% if key == data.data.entry_data.queue_id %}
                                            <option value="{{ key }}" data-resource-id="{{ key }}" selected>{{ value.queue_data.queue_name }} </option>
                                        {% else %}
                                            <option value="{{ key }}" data-resource-id="{{ key }}">{{ value.queue_data.queue_name }} </option>
                                        {% endif %}
                                    {% endfor %}
                                </select>
                            </div>

                            <!-- RESOURCE ENTRY -->
                            <div class="col-xl-5 col-lg-5 col-md-6 pt-2 pt-md-0" id="resource_item">
                                <div class="d-flex align-items-center mg-b-10">
                                    <span class="d-none d-md-inline-block px-2">
                                        <div class="az-avatar-no-status avatar-sm bg-primary" data-toggle="tooltip" title="Ressource verknüpfen" data-original-title="Ressource verknüpfen">
                                            <i class="fas fa-link fa-1x"></i>
                                        </div>
                                    </span>
                                    <select class="form-control" data-group="info" id="select-task-resource" data-targetdotpath="entry_data.resource">
                                        <option value="" data-resource-id="" data-i18n="---  Please make a selection ---">---  Please make a selection ---</option>
                                        {% for resource in data.data.resources %}
                                            {% if resource.resource_id == data.data.entry_data.resource %}
                                                <option data-resource-id="{{ resource.resource_id }}" value="{{ resource.resource_id }}" selected>{{ resource.data.name }}</option>
                                            {% else %}
                                                <option data-resource-id="{{ resource.resource_id }}" value="{{ resource.resource_id }}">{{ resource.data.name }}</option>
                                            {% endif %}
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>

                            <div class="col-lg-12 mg-t-30 ">
                                <div class="row row-sm align-items-start">

                                    <!-- TITEL AND DESCRIPTION -->
                                    <div class="col-xl-7 col-lg-7  col-md-6" id="generalSettings">
                                        <input id="task-title" name="task-title" data-targetdotpath="entry_data.title" data-group="info" type="text" class="form-control edit-input-jumbo" placeholder="Title" value="{{ data.data.entry_data.title }}">
                                        <div class="mg-t-10 mg-b-10">
                                            <div id="task_description_editor" class="" data-targetdotpath="entry_data.description">
                                            </div>
                                        </div>

                                        <!-- CHECKLIST -->
                                        <div class="ml-2" id="checklist_container">
                                            <div class="d-flex align-items-center pd-b-5">
                                                <h6 class="page-title pd-r-10" data-i18n="Checkliste">Checkliste: </h6>
                                                <input id="todo_input" name="todo_input" type="text" class="form-control" value="">
                                                <button class="btn btn-indigo ml-1 rounded bt_h38" id="newTodoButton">
                                                    <i class="typcn typcn-plus "></i>
                                                </button>
                                            </div>
                                            <div class="ml-2 mr-3 mb-5 mb-md-2" id="checklist_entries_container">
                                                <span id="todoList" class="tx-medium d-flex align-items-center w-100">
                                                    <ul class="p-0 w-100">
                                                        {% for todo in data.data.entry_data.todos %}
                                                            <li data-todoid="{{ todo.id }}" style="list-style-type: none;" class="mb-0 w-100 d-flex justify-content-between align-items-center">
                                                                <div class="d-flex align-items-center">
                                                                    <input data-selector="" data-todoid="{{ todo.id }}" id="{{ todo.id }}" type="checkbox" class="list-item-checkbox" data-targetdotpath="entry_data.todos.status"  {{ "checked" if todo.done }}>
                                                                    <span class="ml-2 list-item-text" data-selector="" id="{{ todo.id }}">{{ todo.desc }}</span>
                                                                </div>
                                                                <button data-selector="list-item-delete" data-todoid="{{ todo.id }}" class="remove btn btn-with-icon pd-0" data-targetdotpath="entry_data.todos.delete">
                                                                    <i class="typcn typcn-times"></i>
                                                                </button>
                                                            </li>
                                                        {% endfor %}
                                                    </ul>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-5 col-lg-5 col-md-6" id="specificSettings">
                                        <!-- STATUS -->
                                        <div class="d-flex align-items-center mg-b-10">
                                            <span class="d-inline-block px-2">
                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                     data-toggle="tooltip" title="Status setzen"
                                                     data-original-title="Status setzen">
                                                    <i class="fas fa-check-square fa-1x"></i>
                                                </div>
                                            </span>

                                            <select data-targetdotpath="entry_data.status" class="form-control" data-group="info" id="select-task-status">
                                                <option value="" data-resource-id="" data-i18n="---  Please make a selection ---">---  Please make a selection ---</option>
                                                <option data-i18n="open" value="open" {% if data.data.entry_data.status=="open" %}selected{% endif %}>open</option>
                                                <option data-i18n="planned" value="planned" {% if data.data.entry_data.status=="planned" %}selected{% endif %}>planned</option>
                                                <option data-i18n="pending" value="pending" {% if data.data.entry_data.status=="pending" %}selected{% endif %}>pending</option>
                                                <option data-i18n="onhold" value="onhold" {% if data.data.entry_data.status=="onhold" %}selected{% endif %}>onhold</option>
                                                <option data-i18n="canceled" value="canceled" {% if data.data.entry_data.status=="canceled" %}selected{% endif %}>canceled</option>
                                                <option data-i18n="closed" value="closed" {% if data.data.entry_data.status=="closed" %}selected{% endif %}>closed</option>
                                            </select>
                                        </div>
                                        <div class="d-flex align-items-center mg-b-10">
                                            <span class="d-inline-block px-2">
                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                     data-toggle="tooltip" title="Task zuweisen"
                                                     data-original-title="Task zuweisen">
                                                    <i class="fas fa-user fa-1x"></i>
                                                </div>
                                            </span>
                                            <select class="form-control" id="select-task-responsible" data-targetdotpath="entry_data.assigned_to">
                                                <option value="" data-resource-id="" data-i18n="---  Please make a selection ---">---  Please make a selection ---</option>
                                                {% for groupName, groupData in data.data.groups %}
                                                <span> {{ groupName | dump }} </span>
                                                    <option disabled style="background-color:rgba(91, 71, 251, 0.5); border-color: #452efa; color: #fff; opacity: 0.5" >{{ groupName | replace("group.", "Gruppe: ") }}</option>

                                                    {% for member in groupData.members %}
                                                        <option value="{{ member }}" {{ 'selected' if data.data.entry_data.assigned_to == member  }} >{{ member | replace("user.", "Nutzer: ") }}</option>
                                                    {% endfor %}
                                                {% endfor %}
                                            </select>
                                        </div>

                                        <!-- CONTACTS -->
                                        <div class="d-flex align-items-center justify-content-between mg-b-10"
                                             data-permission="frontend.contactmanager" id="contact_item">
                                            <div class="d-flex align-items-center">
                                                <span class="d-inline-block px-2">
                                                    <div class="az-avatar-no-status avatar-sm bg-primary"
                                                         data-toggle="tooltip" title=""
                                                         data-original-title="Kontakt verknüpfen">
                                                        <i class="fas fa-address-book tx-16"></i>
                                                    </div>
                                                </span>
                                                <span id="contact_entries">
                                                    {% include 'app_modules/taskmanager/templates/snippets/detail_contact.html' %}
                                                </span>
                                            </div>
                                            <div class="d-flex align-items-center">
                                                <span>
                                                    <button id="taskmanager_select_contact_button" href="#" style="width: 140px;" class="btn btn-indigo ml-2 mb-2 mb-sm-0 rounded bt_h38" data-i18n="Choose contact">Choose contact</button>
                                                </span>
                                                <span>
                                                    <button id="remove_contact" href="#" class="btn btn-indigo ml-2 mb-2 mb-sm-0 rounded bt_h38" data-i18n="X">X</button>
                                                </span>
                                            </div>
                                        </div>

                                        <!-- EVENT TAGS -->
                                        <div class="d-flex align-items-center mg-b-10" data-permission="beta_access" id="event_tags">
                                            <span class="d-inline-block px-2">
                                                <div class="az-avatar-no-status avatar-sm bg-primary" data-toggle="tooltip" title="" data-original-title="Tags eingeben">
                                                    <i class="fas fa-tag tx-16"></i>
                                                </div>
                                            </span>
                                            <span id="tag_container" class="tx-medium d-flex align-items-center w-100">
                                                {% set tags = data.data.tags | mergeArrays(data.data.entry_data.tags) %}
                                                <select data-targetdotpath="entry_data.tags" id="tags" data-propertyname="tags" data-select2-selector="" class="select-tags form-control select2-hidden-accessible" multiple="" style="width: 100%;" data-select2-id="tags" tabindex="-1" aria-hidden="true">
                                                    <option value="" data-resource-id="" data-i18n="---  Please make a selection ---">---  Please make a selection ---</option>
                                                        {% for tag in tags %}
                                                            <option value="{{ tag }}" data-tag-id="{{ tag }}" {{ "selected" if tag in data.data.entry_data.tags }}>{{ tag }}</option>
                                                        {% endfor %}
                                                </select>
                                                <button data-permission="tagmanager.globaltags.add" title="Add Global Tag" class="btn btn-indigo btn-with-icon no-wrap ml-2 mb-0 rounded" type="button" id="addGlobalTagButton">
                                                    <i class="typcn typcn-plus-outline"></i>
                                                </button>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% endif %}
    </div>
</div>
</form>